Loyalty.lt
Authentication

Poll QR Login Status

Poll the status of a QR login session

POST/{locale}/shop/auth/qr-login/poll/{sessionId}

Poll the status of a QR login session

Authorization

apiKey apiSecret
X-API-Key<token>

Partner API key from the Partners Portal. Always sent together with X-API-Secret.

In: header

X-API-Secret<token>

Partner API secret. Always sent together with X-API-Key.

In: header

Path Parameters

locale*string

Locale code

sessionId*string

The ID of the QR login session

Response Body

application/json

curl -X POST "https://example.com/en/shop/auth/qr-login/poll/550e8400-e29b-41d4-a716-446655440000"
{  "success": true,  "data": {    "session_id": "550e8400-e29b-41d4-a716-446655440000",    "status": "pending",    "expires_at": "2019-08-24T14:15:22Z"  }}